<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Legit News Pro
	 * @since Legit News Pro 1.0.0
	 */

	/**
	 * legit_news_pro_doctype hook
	 *
	 * @hooked legit_news_pro_doctype -  10
	 *
	 */
	do_action( 'legit_news_pro_doctype' );

?>
<head>
<?php
	/**
	 * legit_news_pro_before_wp_head hook
	 *
	 * @hooked legit_news_pro_head -  10
	 *
	 */
	do_action( 'legit_news_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * legit_news_pro_page_start_action hook
	 *
	 * @hooked legit_news_pro_page_start -  10
	 *
	 */
	do_action( 'legit_news_pro_page_start_action' ); 

	/**
	 * legit_news_pro_loader_action hook
	 *
	 * @hooked legit_news_pro_loader -  10
	 *
	 */
	do_action( 'legit_news_pro_before_header' );

	/**
	 * legit_news_pro_header_action hook
	 *
	 * @hooked legit_news_pro_header_start -  10
	 * @hooked legit_news_pro_site_branding -  20
	 * @hooked legit_news_pro_site_navigation -  30
	 * @hooked legit_news_pro_header_end -  50
	 *
	 */
	do_action( 'legit_news_pro_header_action' );

	/**
	 * legit_news_pro_content_start_action hook
	 *
	 * @hooked legit_news_pro_content_start -  10
	 *
	 */
	do_action( 'legit_news_pro_content_start_action' );

	/**
	 * legit_news_pro_header_image_action hook
	 *
	 * @hooked legit_news_pro_header_image -  10
	 *
	 */
	if( has_header_image()) do_action( 'legit_news_pro_header_image_action' );

	$options = legit_news_pro_get_theme_options();

    if ( legit_news_pro_is_frontpage() && in_array($options['home_layout'], array('seventh-design','eight-design' ))){
		                
		add_action('legit_news_pro_business_content','legit_news_pro_add_slider_section'); 
		add_action('legit_news_pro_business_content','legit_news_pro_add_service_section'); 
		add_action('legit_news_pro_business_content','legit_news_pro_add_about_section'); 
		add_action('legit_news_pro_business_content','legit_news_pro_add_counter_section'); 
		add_action('legit_news_pro_business_content','legit_news_pro_add_team_section'); 
		add_action('legit_news_pro_business_content','legit_news_pro_add_subscription_section'); 
		add_action('legit_news_pro_business_content','legit_news_pro_add_blog_section'); 
		do_action( 'legit_news_pro_business_content' );


	} elseif( legit_news_pro_is_frontpage() ){
    	$options = legit_news_pro_get_theme_options();
    	$sorted = array();
    	if ( ! empty( $options['sortable'] ) ) {
			$sorted = explode( ',' , $options['sortable'] );
		}

		foreach ( $sorted as $section ) {
			add_action( 'legit_news_pro_primary_content', 'legit_news_pro_add_'. $section .'_section' );
		}
		if($options['home_layout'] == 'second-design') remove_action('legit_news_pro_primary_content', 'legit_news_pro_add_must_read_section');
		
		do_action( 'legit_news_pro_primary_content' );
	}