<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Legit News Pro
 * @since Legit News Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'legit_news_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','legit-news-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'legit-news-pro' ),
	'panel'             => 'legit_news_pro_front_page_panel',
) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'legit_news_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'legit_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Legit_News_Pro_Switch_Control( $wp_customize, 'legit_news_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'legit-news-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show secondary and social menu.', 'legit-news-pro' ), esc_html__( 'Click Here', 'legit-news-pro' ), esc_html__( 'to create menu', 'legit-news-pro' ) ),
	'section'           => 'legit_news_pro_topbar_section',
	'on_off_label' 		=> legit_news_pro_switch_options(),
) ) );


// ads image setting and control.
$wp_customize->add_setting( 'legit_news_pro_theme_options[ads_image]', array(
	'sanitize_callback' => 'legit_news_pro_sanitize_image'
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'legit_news_pro_theme_options[ads_image]',
		array(
		'label'       		=> esc_html__( 'Ads Image', 'legit-news-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'legit-news-pro' ), 900, 100 ),
		'active_callback' 	=> 'legit_news_pro_is_topbar_section_enable',
		'section'     		=> 'legit_news_pro_topbar_section',
) ) );

// ads link setting and control
$wp_customize->add_setting( 'legit_news_pro_theme_options[ads_url]', array(
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'legit_news_pro_theme_options[ads_url]', array(
	'label'           	=> esc_html__( 'Ads Url', 'legit-news-pro' ),
	'active_callback' 	=> 'legit_news_pro_is_topbar_section_enable',
	'section'        	=> 'legit_news_pro_topbar_section',
	'type'				=> 'url',
) );