<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Legit News Pro
 * @since Legit News Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'legit_news_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','legit-news-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'legit-news-pro' ),
	'panel'               => 'legit_news_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'legit_news_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'legit_news_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Legit_News_Pro_Customize_Sortable_Control ( $wp_customize, 'legit_news_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'legit-news-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'legit-news-pro' ),
	'section'             => 'legit_news_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => legit_news_pro_sortable_sections(),
) ) );