<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Legit News Pro
* @since Legit News Pro 1.0.0
*/

if ( ! function_exists( 'legit_news_pro_validate_long_excerpt' ) ) :
  function legit_news_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'legit-news-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'legit_news_pro_validate_breaking_news_count' ) ) :
  function legit_news_pro_validate_breaking_news_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'legit_news_pro_validate_hero_post_count' ) ) :
  function legit_news_pro_validate_hero_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 6 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'legit_news_pro_validate_must_read_count' ) ) :
  function legit_news_pro_validate_must_read_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;


if ( ! function_exists( 'legit_news_pro_validate_trending_news_count' ) ) :
  function legit_news_pro_validate_trending_news_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;


if ( ! function_exists( 'legit_news_pro_validate_fashion_count' ) ) :
  function legit_news_pro_validate_fashion_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 32 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 32', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'legit_news_pro_validate_fashion_post_per_slide' ) ) :
  function legit_news_pro_validate_fashion_post_per_slide( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'legit_news_pro_is_photography_section_enable' ) ) :
  function legit_news_pro_is_photography_section_enable( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'legit_news_pro_validate_culture_count' ) ) :
  function legit_news_pro_validate_culture_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'legit_news_pro_validate_single_column_count' ) ) :
  function legit_news_pro_validate_single_column_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'legit_news_pro_validate_related_post_count' ) ) :
  function legit_news_pro_validate_related_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;


if ( ! function_exists( 'legit_news_pro_validate_team_count' ) ) :
  function legit_news_pro_validate_team_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;



if ( ! function_exists( 'legit_news_pro_validate_blog_count' ) ) :
  function legit_news_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 4 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'legit-news-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;


if ( ! function_exists( 'legit_news_pro_validate_slider_count' ) ) :
  function legit_news_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'legit-news-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'legit_news_pro_validate_service_count' ) ) :
  function legit_news_pro_validate_service_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'legit-news-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'legit-news-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'legit-news-pro' ) );
     }
     return $validity;
  }
endif;

